Name:           enum4linux
Version:        0.9.1
Release:        1%{?dist}
Summary:        A Linux alternative to enum.exe for enumerating data from Windows and Samba hosts.

License:        GPLv2
URL:            https://github.com/CiscoCXSecurity/enum4linux
Source0:        https://github.com/CiscoCXSecurity/enum4linux/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-generators

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       samba-client

%description
Enum4linux is a tool for enumerating information from Windows and
Samba systems. It attempts to offer similar functionality to enum.exe
formerly available from www.bindview.com.
It is written in Perl and is basically a wrapper around the Samba
tools smbclient, rpclient, net and nmblookup.

%prep
%autosetup -n %{name}-%{version}

%build

%install
install -m 0755 enum4linux.pl -D -t %{buildroot}/%{_bindir}/

%files
%{_bindir}/enum4linux.pl
%license COPYING.GPL COPYING.ENUM4LINUX
%doc CHANGELOG README.md

%changelog
* Tue Jul 06 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 0.9.1
- Initial release
